put

/aggregation/accounts/{account_id}

Update details of an aggregation account

The account_type must be set to a valid value depending on the account container.

Container Valid Account Types
bank
  • bank_account
  • savings
  • emergency_fund
  • term_deposit
  • bills
  • offset
  • travel
  • prepaid
  • other
credit_card
  • credit_card
  • balance_transfer_card
  • rewards_card
  • other
investment
  • super_annuation
  • shares
  • business
  • bonds
  • pension
  • other
loan
  • mortgage
  • mortgage_fixed
  • mortgage_variable
  • investment_home_loan_fixed`
  • investment_home_loan_variable
  • student_loan
  • car_loan
  • line_of_credit
  • p2p_lending
  • personal
  • other
insurance
  • auto_insurance
  • health_insurance
  • home_insurance
  • life_insurance
  • travel_insurance
  • insurance
  • other
reward
  • reward
  • other
credit_score
  • credit_score
  • health_score
  • other

Authorization

oauth2 - password
oauth2 - authorizationCode
oauth2 - clientCredentials
apiKey - Authorization

Request Parameters

1 Path Parameter
6 Headers

Request Body

1 Example
Schema
object
$schema: http://json-schema.org/draft-04/schema#
nick_name
string
1 validation
favourite
boolean
1 validation
included
boolean
1 validation
hidden
boolean
1 validation + required
account_type
string
1 validation + required
product_id
number

Specifies the CDR Product that this Account belongs to

1 validation

Responses

Schema
object
$schema: http://json-schema.org/draft-04/schema#
id
integer

Account ID

4 validations + required
aggregator
string
1 validation + required
external_id
string
1 validation + required
provider_account_id
integer
4 validations + required
provider_name
string
1 validation + required
account_name
string
1 validation + required
nick_name
string
1 validation
account_status
string
1 validation + required
account_attributes
object
required
favourite
boolean
1 validation + required
included
boolean
1 validation + required
current_balance
object
refresh_status
object
hidden
boolean
1 validation + required
available_balance
object
available_cash
object
available_credit
object
total_cash_limit
object
total_credit_line
object
due_date
string

Only for Bill, CreditCard, Insurance, Load - ISO 8601

1 validation
amount_due
object
minimum_amount_due
object
interest_rate
string

Only for Bank, Loan

1 validation
interest_total
object
apr
string

Only for CreditCard

1 validation
last_payment_amount
object
last_payment_date
string

Only for CreditCard, Insurance, Bill, Loan - ISO 8601

1 validation
holder_profile
object
balance_details
object
end_date
string
1 validation
bsb
string

BSB

1 validation
account_number
string
1 validation
goal_ids
array[integer]

Goals linked to this account

products_available
boolean

This will be true if there are CDR Products available for this Account

1 validation
product
object

Contains key information about the CDR Product that belongs to this Account

features
array[object]

List of features this account supports

Send a Test Request

Send requests directly from the browser (CORS must be enabled)
Path Params
1 path param not set
account_id
$$.env
1 variable not set
Authorization